## networking-bagpipe 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=1.13.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
pyroute2>=0.4.21;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
stevedore>=1.20.0 # Apache-2.0
exabgp>=4.0.4 # BSD
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD

# dependencies managed in tools/tox_install.sh for master branch:
# - openstack/neutron
# - openstack/networking-bgpvpn
# - openstack/networking-sfc

## networking-bagpipe 6.0.0

=== debian/changelog ===
networking-bagpipe (6.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 13:11:02 -0500

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>=9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-babel (>= 1.8),
                     python-neutron,
                     python-neutron-lib (>= 1.1.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 3.14.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-sphinxcontrib.blockdiag,
                     python-sphinxcontrib.seqdiag,
Standards-Version: 3.9.7

Package: python-networking-bagpipe
Architecture: all
Depends: python-babel (>= 1.8),
         python-neutron-lib (>= 1.1.0),
         python-neutron,
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 3.14.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.service (>= 1.10.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-networking-bagpipe-doc
Description: Driver and agent code to use BagPipe implementation (Python 2)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 2.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

## networking-bagpipe 7.0.0

=== debian/changelog ===
networking-bagpipe (7.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:55:51 -0400

networking-bagpipe (7.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:18:55 -0400

networking-bagpipe (7.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:27:01 -0400

networking-bagpipe (7.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 13:19:37 -0400

networking-bagpipe (7.0.0~b2-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.
  * Add python-exabgp to (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:34:04 +0100

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>=9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-exabgp (>= 4.0.1),
                     python-babel (>= 1.8),
                     python-neutron,
                     python-neutron-lib (>= 1.9.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.24.2),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslotest (>= 1.10.0),
                     python-pecan (>= 1.0.0),
                     python-pyroute2 (>= 0.4.17),
                     python-sphinxcontrib.blockdiag,
                     python-sphinxcontrib.seqdiag,
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
Standards-Version: 3.9.7

Package: python-networking-bagpipe
Architecture: all
Depends: python-exabgp (>= 4.0.1),
         python-babel (>= 1.8),
         python-neutron,
         python-neutron-lib (>= 1.9.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.24.2),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-pecan (>= 1.0.0),
         python-pyroute2 (>= 0.4.17),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 2)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 2.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bagpipe networking-bagpipe-(\d.*)\.tar\.gz

## networking-bagpipe 8.0.0

=== debian/changelog ===
networking-bagpipe (8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:46:48 +0000

networking-bagpipe (8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.
  * d/control: Add (Build-)Depend on networking-sfc.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:18 +0000

networking-bagpipe (8.0.0~b3-0ubuntu3) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.blockdiag/seqdiag.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 13:58:36 -0500

networking-bagpipe (8.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/rules: Re-enable tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 13:04:48 -0500

networking-bagpipe (8.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Added python-networking-bgpvpn and opened bug for missing
    dependency: https://bugs.launchpad.net/networking-bagpipe/+bug/1745673.
  * d/rules: Temporarily disable tests due to circular dependency in
    networking-bgpvpn.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 14:19:55 -0500

networking-bagpipe (8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 15:35:32 +0000

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-exabgp (>= 4.0.1),
 python-hacking (>= 0.12.0),
 python-netaddr (>= 0.7.18),
 python-networking-bgpvpn (>= 8.0.0~),
 python-networking-sfc (>= 6.0.0~),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-oslotest (>= 1:3.2.0),
 python-pecan (>= 1.0.0),
 python-pyroute2 (>= 0.4.21),
 python-sphinxcontrib.blockdiag,
 python-sphinxcontrib.seqdiag,
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
Standards-Version: 4.1.2

Package: python-networking-bagpipe
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-exabgp (>= 4.0.1),
 python-netaddr (>= 0.7.18),
 python-networking-bgpvpn (>= 8.0.0~),
 python-networking-sfc (>= 6.0.0~),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.versionedobjects (>= 1.31.2),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.0.0),
 python-pyroute2 (>= 0.4.21),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 2)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 2.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)


%:
	dh $@  --with python2,sphinxdoc --buildsystem=python_distutils

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-networking-bagpipe; \
    done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-pagpipe-doc/usr/share/doc/python-networking-bagpipe-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bagpipe networking-bagpipe-(8\.\d.*)\.tar\.gz

## networking-bagpipe 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 netaddr>=0.7.18 # BSD
-neutron-lib>=1.13.0 # Apache-2.0
+neutron-lib>=1.18.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.25.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
@@ -23,7 +23,8 @@
 exabgp>=4.0.4 # BSD
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 
-# dependencies managed in tools/tox_install.sh for master branch:
-# - openstack/neutron
-# - openstack/networking-bgpvpn
-# - openstack/networking-sfc
+# OpenStack CI will install the following projects from git
+# if they are in the required-projects list for a job:
+neutron>=13.0.0.0b1 # Apache-2.0
+networking-bgpvpn>=8.0.0 # Apache-2.0
+networking-sfc>=6.0.0 # Apache-2.0

=== debian/changelog ===
networking-bagpipe (9.0.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 30 Aug 2018 18:11:51 +0000

networking-bagpipe (9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:25:20 -0400

networking-bagpipe (9.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/*.postrm,postinst,prerm: Drop neutron-bagpipe-linuxbridge-agent
    from alternatives management as its been dropped upstream.
  * d/control: Drop duplicate BD's.
  * d/copyright: Tidy.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Aug 2018 09:25:51 +0100

networking-bagpipe (9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:37:05 -0400

networking-bagpipe (9.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:43:02 -0400

networking-bagpipe (9.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for py3, add -common and python3- pkgs.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/rules: Directly generate sample config files.
    - d/python{3}-networking-bagpipe.*: Install entry points as
      alternatives.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Jun 2018 10:39:48 +0100

networking-bagpipe (9.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to Rocky series.
  * New upstream milestone for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:03:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,26 @@
  python-all (>= 2.6.6-3~),
  python-pbr (>= 2.0.0),
  python-setuptools,
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools,
  python3-sphinx (>= 1.6.2),
+ python3-sphinxcontrib.blockdiag (>= 1.5.4),
+ python3-sphinxcontrib.seqdiag (>= 0.8.4),
 Build-Depends-Indep:
  python-babel (>= 2.3.4),
  python-coverage (>= 4.0),
- python-exabgp (>= 4.0.1),
+ python-exabgp (>= 4.0.4),
  python-hacking (>= 0.12.0),
  python-netaddr (>= 0.7.18),
  python-networking-bgpvpn (>= 8.0.0~),
  python-networking-sfc (>= 6.0.0~),
- python-neutron (>= 2:12.0.0~),
- python-neutron-lib (>= 1.13.0),
+ python-neutron (>= 2:13.0.0~b1~),
+ python-neutron-lib (>= 1.18.0),
  python-openstackdocstheme (>= 1.18.1),
  python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
@@ -35,27 +40,74 @@
  python-oslotest (>= 1:3.2.0),
  python-pecan (>= 1.0.0),
  python-pyroute2 (>= 0.4.21),
- python-sphinxcontrib.blockdiag,
- python-sphinxcontrib.seqdiag,
+ python-sphinxcontrib.blockdiag (>= 1.5.4),
+ python-sphinxcontrib.seqdiag (>= 0.8.4),
+ python-stestr (>= 1.0.0),
  python-stevedore (>= 1:1.20.0),
  python-subunit (>= 1.0.0),
  python-testresources (>= 2.0.0),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
+ python3-exabgp (>= 4.0.4),
+ python3-hacking (>= 0.12.0),
+ python3-netaddr (>= 0.7.18),
+ python3-networking-bgpvpn (>= 8.0.0~),
+ python3-networking-sfc (>= 6.0.0~),
+ python3-neutron (>= 2:13.0.0~b1~),
+ python3-neutron-lib (>= 1.18.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.rootwrap (>= 5.8.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.versionedobjects (>= 1.31.2),
+ python3-oslotest (>= 1:3.2.0),
+ python3-pecan (>= 1.0.0),
+ python3-pyroute2 (>= 0.4.21),
+ python3-reno (>= 2.5.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
 Standards-Version: 4.1.2
+
+Package: networking-bagpipe-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Breaks:
+ python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
+Replaces:
+ python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
+Description: Driver and agent code to use BagPipe implementation (common)
+ Driver and agent code to use BaGPipe lightweight implementation
+ of BGP-based VPNs as a backend for Neutron.
+ .
+ This is the common configuration package.
 
 Package: python-networking-bagpipe
 Architecture: all
 Depends:
+ networking-bagpipe-common (= ${binary:Version}),
  python-babel (>= 2.3.4),
- python-exabgp (>= 4.0.1),
+ python-exabgp (>= 4.0.4),
  python-netaddr (>= 0.7.18),
  python-networking-bgpvpn (>= 8.0.0~),
  python-networking-sfc (>= 6.0.0~),
- python-neutron (>= 2:12.0.0~),
- python-neutron-lib (>= 1.13.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
+ python-neutron (>= 2:13.0.0~b1~),
+ python-neutron-lib (>= 1.18.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
@@ -89,3 +141,38 @@
  of BGP-based VPNs as a backend for Neutron.
  .
  This is the common documentation package.
+
+Package: python3-networking-bagpipe
+Architecture: all
+Depends:
+ networking-bagpipe-common (= ${binary:Version}),
+ python3-babel (>= 2.3.4),
+ python3-exabgp (>= 4.0.4),
+ python3-netaddr (>= 0.7.18),
+ python3-networking-bgpvpn (>= 8.0.0~),
+ python3-networking-sfc (>= 6.0.0~),
+ python3-neutron (>= 2:13.0.0~b1~),
+ python3-neutron-lib (>= 1.18.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.rootwrap (>= 5.8.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.versionedobjects (>= 1.31.2),
+ python3-pbr (>= 2.0.0),
+ python3-pecan (>= 1.0.0),
+ python3-pyroute2 (>= 0.4.21),
+ python3-stevedore (>= 1:1.20.0),
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-networking-bagpipe-doc,
+Description: Driver and agent code to use BagPipe implementation (Python 3)
+ Driver and agent code to use BaGPipe lightweight implementation
+ of BGP-based VPNs as a backend for Neutron.
+ .
+ This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python*-networking-bagpipe/usr/etc $(CURDIR)/debian/python*-networking-bagpipe/etc

override_dh_install:
	# NOTE: generate configuration files directly
	mkdir -p etc/neutron
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	dh_install

override_dh_auto_clean:
	rm -rf .stestr build etc/neutron
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHON=python ostestr
	PYTHON=python3 ostestr
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-bagpipe-doc/usr/share/doc/python-networking-bagpipe-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bagpipe networking-bagpipe-(9\.\d.*)\.tar\.gz

## networking-bagpipe 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 neutron-lib>=1.18.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
-oslo.concurrency>=3.25.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
@@ -21,10 +21,16 @@
 sphinxcontrib-seqdiag>=0.8.4 # BSD
 stevedore>=1.20.0 # Apache-2.0
 exabgp>=4.0.4 # BSD
-pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
+pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.1.1 # BSD
 
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
-neutron>=13.0.0.0b1 # Apache-2.0
-networking-bgpvpn>=8.0.0 # Apache-2.0
-networking-sfc>=6.0.0 # Apache-2.0
+neutron>=13.0.0 # Apache-2.0
+networking-bgpvpn>=9.0.0 # Apache-2.0
+networking-sfc>=8.0.0.0b1 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== debian/changelog ===
networking-bagpipe (10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:38:36 +0100

networking-bagpipe (10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:34 +0000

networking-bagpipe (10.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Switch to tracking 10.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 09:44:22 +0000

networking-bagpipe (10.0.0~b1~git2019013127.78d78db-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:33:03 +0000

networking-bagpipe (10.0.0~b1~git2019013016.78d78db-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:07:51 -0500

networking-bagpipe (10.0.0~b1~git2018111646.21df6d5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:05:14 +0000

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-exabgp (>= 4.0.4),
 python3-hacking (>= 0.12.0),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 10.0.0~b1),
 python3-networking-sfc (>= 8.0.0~),
 python3-neutron (>= 2:13.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.1.1),
 python3-pyroute2 (>= 0.4.21),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.2

Package: networking-bagpipe-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Description: Driver and agent code to use BagPipe implementation (common)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common configuration package.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

Package: python3-networking-bagpipe
Architecture: all
Depends:
 networking-bagpipe-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-exabgp (>= 4.0.4),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 10.0.0~b1),
 python3-networking-sfc (>= 8.0.0~),
 python3-neutron (>= 2:13.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.1.1),
 python3-pyroute2 (>= 0.4.21),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 3)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(VERSION)
-
 %:
-	dh $@  --with python2,python3,sphinxdoc --buildsystem=python_distutils
+	dh $@  --with python3,sphinxdoc --buildsystem=python_distutils
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python*-networking-bagpipe/usr/etc $(CURDIR)/debian/python*-networking-bagpipe/etc
 
 override_dh_install:
@@ -28,11 +26,12 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHON=python ostestr
-	PYTHON=python3 ostestr
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:
 	sphinx-build -b html doc/source debian/python-networking-bagpipe-doc/usr/share/doc/python-networking-bagpipe-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bagpipe networking-bagpipe-(10\.\d.*)\.tar\.gz

## networking-bagpipe 11.0.0

=== debian/changelog ===
networking-bagpipe (11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:35:17 +0200

networking-bagpipe (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 19:56:32 +0200

networking-bagpipe (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 23:59:50 +0200

networking-bagpipe (10.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed package versions when satisfied in Buster.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Apr 2019 14:27:04 +0200

networking-bagpipe (9.0.0-2) unstable; urgency=medium

  * override_dh_python3: dh_python3 --shebang=/usr/bin/python3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Dec 2018 16:31:11 +0100

networking-bagpipe (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 18:40:39 +0200

networking-bagpipe (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-oslo_config.sphinxconfiggen.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 21:13:52 +0200

networking-bagpipe (8.0.0-2) unstable; urgency=medium

  * Add missing db migration files.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jun 2018 10:36:31 +0200

networking-bagpipe (8.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #897648).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 May 2018 19:52:19 +0200

=== debian/control ===
Source: networking-bagpipe
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-astroid,
 python3-babel,
 python3-coverage,
 python3-exabgp,
 python3-hacking,
 python3-netaddr,
 python3-networking-bgpvpn (>= 10.0.0),
 python3-networking-sfc (>= 8.0.0~),
 python3-neutron (>= 2:14.0.2),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-pecan,
 python3-pyroute2 (>= 0.5.3),
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.nwdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Homepage: http://github.com/openstack/networking-babpipe
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-bagpipe
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-bagpipe.git

Package: networking-bagpipe-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-based VPN - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.
 .
 This package contains the documentation.

Package: python3-networking-bagpipe
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-exabgp,
 python3-netaddr,
 python3-networking-bgpvpn (>= 10.0.0),
 python3-networking-sfc (>= 8.0.0~),
 python3-neutron (>= 2:14.0.2),
 python3-neutron-lib (>= 1.26.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pyroute2 (>= 0.5.3),
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bagpipe-doc,
Description: OpenStack virtual network service - BGP-based VPN - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Driver and agent code to use BaGPipe lightweight implementation of BGP-based
 VPNs as a backend for Neutron.

## networking-bagpipe 12.0.0~b3~git2020041013.c15d5e0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=2.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
pyroute2>=0.5.7;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
stevedore>=1.20.0 # Apache-2.0
exabgp>=4.0.4 # BSD
pecan>=1.3.2 # BSD

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
horizon>=17.1.0 # Apache-2.0
neutron>=16.0.0.0b1 # Apache-2.0
networking-bgpvpn>=12.0.0.0b1 # Apache-2.0
networking-sfc>=10.0.0.0b1 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
networking-bagpipe (12.0.0~b3~git2020041013.c15d5e0-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:17:36 -0400

networking-bagpipe (12.0.0~b3~git2020032508.4677785-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:01:15 +0000

networking-bagpipe (12.0.0~b2~git2020020712.f0c6cc4-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 13:15:24 +0100

networking-bagpipe (12.0.0~b1~git2019121615.410cbb0-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 16:54:26 +0100

networking-bagpipe (11.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:12:53 +0100

networking-bagpipe (11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 11.x series.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:28:46 +0100

networking-bagpipe (11.0.0~b2~git2019080116.f8139b0-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 01 Aug 2019 16:39:24 +0200

networking-bagpipe (11.0.0~b1~git2019061323.16151fc-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 13:38:01 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bagpipe networking-bagpipe-(11\.\d.*)\.tar\.gz

## networking-bagpipe 12.0.0

=== doc/requirements.txt ===
# NOTE(armax): requirements to the specs repo is kept out of sync
# with g-r on purpose, as g-r is just for projects affecting the
# integrated gate. Any sync must happen manually as recommended by
# the openstack release team.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-nwdiag>=0.9.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD

=== debian/changelog ===
networking-bagpipe (12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:52:15 -0400

=== debian/control ===
Source: networking-bagpipe
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-astroid,
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-exabgp (>= 4.0.4),
 python3-hacking (>= 0.12.0),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0~),
 python3-networking-sfc (>= 10.0.0~),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.3),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.2

Package: networking-bagpipe-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bagpipe (<< 9.0.0~b2-0ubuntu2~),
Description: Driver and agent code to use BagPipe implementation (common)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common configuration package.

Package: python-networking-bagpipe-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Driver and agent code to use BagPipe implementation (common documentaiton)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This is the common documentation package.

Package: python3-networking-bagpipe
Architecture: all
Depends:
 networking-bagpipe-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-exabgp (>= 4.0.4),
 python3-netaddr (>= 0.7.18),
 python3-networking-bgpvpn (>= 12.0.0~),
 python3-networking-sfc (>= 10.0.0~),
 python3-neutron (>= 2:16.0.0~),
 python3-neutron-lib (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.versionedobjects (>= 1.35.1),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.3.2),
 python3-pyroute2 (>= 0.5.3),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bagpipe-doc,
Description: Driver and agent code to use BagPipe implementation (Python 3)
 Driver and agent code to use BaGPipe lightweight implementation
 of BGP-based VPNs as a backend for Neutron.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-bagpipe networking-bagpipe-(12\.\d.*)\.tar\.gz
